Not defined npm_config_node_gyp

In mflix-js folder “npm install” command not executed successfully get below error

weak-napi@1.0.3 install C:\Users\sashikiran.vadlamuri\Documents\mflix-js\node_modules\weak-napi
node-gyp rebuild

C:\Users\sashikiran.vadlamuri\Documents\mflix-js\node_modules\weak-napi>if not defined npm_config_node_gyp (node “C:\Users\sashikiran.vadlamuri\AppData\Roaming\npm\node_modules\npm\node_modules\npm-lifecycle\node-gyp-bin\…\node_modules\node-gyp\bin\node-gyp.js” rebuild ) else (node “node C:\Users\sashikiran.vadlamuri\AppData\Roaming\npm\node-gyp” rebuild )
internal/modules/cjs/loader.js:584
throw err;
^

Error: Cannot find module ‘C:\Users\sashikiran.vadlamuri\Documents\mflix-js\node_modules\weak-napi\node C:\Users\sashikiran.vadlamuri\AppData\Roaming\npm\node-gyp’
at Function.Module._resolveFilename (internal/modules/cjs/loader.js:582:15)
at Function.Module._load (internal/modules/cjs/loader.js:508:25)
at Function.Module.runMain (internal/modules/cjs/loader.js:754:12)
at startup (internal/bootstrap/node.js:283:19)
at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)
npm WARN eslint-config-react-app@2.1.0 requires a peer of babel-eslint@^7.2.3 but none is installed. You must install peer dependencies yourself.
npm WARN eslint-config-react-app@2.1.0 requires a peer of eslint-plugin-jsx-a11y@^5.1.1 but none is installed. You must install peer dependencies yourself.
npm WARN server@1.0.0 No repository field.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“win32”,“arch”:“x64”})

npm ERR! Maximum call stack size exceeded

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\sashikiran.vadlamuri\AppData\Roaming\npm-cache_logs\2019-08-27T06_30_27_075Z-debug.log

Hi @vsashikiran,

We are aware about this issue. You don’t need to worry about this. Please try running npm start.

Let me know if you face any issues. Also, I will make sure README gets updated.

Kanika